/*
 * @file util.c
 *
 * @date Feb 8, 2017
 * @author Ting
 */


/*!
 * \fn ConvUI2String(unsigned int j, char * s)
 * \brief Converte em ASCII o inteiro sem sinal j.
 * \param[in]  j valor inteiro sem sinal
 * \param[out] s representa&ccedil;&atilde;o em ASCII
 */
void ConvUI2String (unsigned int j, char * s) {
	short k = 0;
	char aux[11];
	/*!
	 * Passo 1: extrai os algarismos decimais
	 */
	if (j == 0) { ///< Caso especial
		aux[k] = 0;
		k++;
	}
	while (j) {
		aux[k] = j % 10;
		j = j / 10;
		k++;
	}
	/*!
	 * Passo 2: representa em ASCII os d&iacute;gitos decimais
	 */
	while (k > 0) {
		*s = (aux[k-1] + 0x30);
		s++;                    ///< incrementa o endere&ccedil;o por unidade do tipo de dados
		k--;
	}
	*s = 0;                     ///< adiciona o terminador '\0'
}

/*!
 * \fn ConvF2String(float j, char * s)
 * \brief Converte em ASCII um valor em ponto flutuante j.
 * \param[in]  j valor em ponto flutuante
 * \param[out] s representa&ccedil;&atilde;o em ASCII com uma casa decimal
 */
void ConvF2String (float j, char * s) {
}

/*!
 * \fn ConvString2UI (char *s, unsigned int *j)
 * \brief Converte uma string em valor inteiro sem sinal
 * \param[in]  s representa&ccedil;&atilde;o em ASCII
 * \param[out] j valor inteiro sem sinal
 */ 
void ConvUI2String (char * s, unsigned int *j) {
}

/*!
 * \fn ConvString2UI (char *s, float *j)
 * \brief Converte uma string em valor inteiro sem sinal
 * \param[in]  s representa&ccedil;&atilde;o em ASCII
 * \param[out] j valor em ponto flutuante com uma casa decimal
 */ 
void ConvF2String (char * s, float *j) {
}


